GET
/
otc-exchanges
/
wallets
List eligible Receive-into wallets for an asset
curl --request GET \
  --url https://api.balansas.com/functions/v1/customer-api/otc-exchanges/wallets \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.balansas.com/functions/v1/customer-api/otc-exchanges/wallets"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.balansas.com/functions/v1/customer-api/otc-exchanges/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "660e8400-e29b-41d4-a716-446655440001",
      "label": "Treasury vault",
      "network": "polygon",
      "assetAddress": "0xabcdef0123456789abcdef0123456789abcdef01",
      "asset": "USDC"
    }
  ]
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}

Authorizations

x-api-key
string
header
required

Customer API key. Send as x-api-key: sk_... or Authorization: Bearer sk_.... Write operations also require an X-CSRF-Token header (64-char hex).

Query Parameters

asset
string

Crypto asset to filter wallets by; defaults to USDC.

Required string length: 1 - 10
Example:

"USDC"

Response

Success

data
object[]
required